/*This example demonstrates that how
to write the data output stream to the 
OutputStream*/

import java.io.InputStream;
import java.io.OutputStream;
import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.io.IOException;

public class OutputStreamExample
{
   public static void main(String args[])
    {
       InputStream is = null;
       OutputStream os = null;		
       try
          {
	is = new FileInputStream("read.txt");
	os = new FileOutputStream("write.txt");
	int c;
	System.out.println();
	System.out.println("Streams of read.txt file has read and has been written to the write.txt file");
	System.out.println();
	while((c= is.read()) != -1)
	 {
	    os.write(c);
	  }
	System.out.println();
           }
           catch(IOException e)
            {
	System.out.println("IOException caught..!!");
	e.printStackTrace();
             }
	finally
	 {
	    if(is != null)
	     {
	       try
	         {
	           is.close();
	         }
	       catch (IOException ioe)
	        {
		System.out.println(ioe);
	        }
	      if(os != null)
                     {
                       try
                           {
		os.close();
                           }
                          catch(IOException ie)
                            {
		     System.out.println(ie);
                            }
                       }
	     }
               }// end finally
      }// end main
}// end class